/// @function vertex_add_point( _vbuff, _xx, _yy, _zz, _nx, _ny, _nz, _utex, _vtex, _color, _alpha );
/// @param	{index}	_vbuff
/// @param	{real}	_xy
/// @param	{real}	_yy
/// @param	{real}	_zz
/// @param	{real}	_nx
/// @param	{real}	_ny
/// @param	{real}	_nz
/// @param	{real}	_utex
/// @param	{real}	_vtex
/// @param	{const}	_color
/// @param	{real}	_alpha

function vertex_add_point( _vbuff, _xx, _yy, _zz, _nx, _ny, _nz, _utex, _vtex, _color, _alpha) {
	vertex_position_3d( _vbuff, _xx, _yy, _zz );
	vertex_normal( _vbuff, _nx, _ny, _nz );
	vertex_texcoord( _vbuff, _utex, _vtex );
	vertex_color( _vbuff, _color, _alpha );
}